Subscribe2 v6.5

Version 6.5 of the Plugin is now available for download. This version has been tested on WordPress 3.2.1. It requires at least WordPress 2.8 (3.0 for MultiSite installs).

NOTE: This is the last version of Subscribe2 that will support WordPress versions below 3.1. The next version of Subscribe2 will be 7.0 and it will require WordPress 3.1 and above.

Version 6.5 contains the bug fixes and requested feature improvements listed below.

If you use this plugin consider making a donation to support future development!

An HTML version of the plugin that emails an HTML email to Public Subscribers is available here.


This version contains the following bug fixes and improvements:

  • Fix for Multisite / MU detection for WordPress versions prior to 3.0
  • Fix in the upgrade() function to insert database entires for Registered Users on first time install
  • Fix for the uninstaller script to allow use on regular and Multisite WordPress
  • Updated uninstaller to remove any postmeta entries on uninstall
  • Fix for blank post detail on HTML Excerpt notifications when the post content is brief
  • Fix for some PHP notices
  • Fix to remove all cron settings when options are reverted to per-post
  • Minor code layout changes and comment updates
  • Dropped use of WP_CONTENT_DIR to fix issues on site where wp-content/ folder has been moved